Skip to main content
PATCH
Set Bridge Row Status

Authorizations

Authorization
string
header
required

HTTP Bearer Authentication

Path Parameters

bridgeId
string
required
rowId
string
required

Body

application/json

Bridge row status update

newStatus
enum<string>
required

Supported default values are New, Actioned, Saved, Not Interested. For conferences it might additionally include Attending, Sponsoring. In the UI, 'New' is shown as 'Needs action', and 'Saved' is shown as 'Starred'. Filtering on Actioned will include Sponsoring and Attending.

Available options:
New,
Actioned,
Saved,
Attending,
Sponsoring,
NotInterested

Response

Bridge row status updated

rowId
string<uuid>
required

Unique identifier for the row

bridgeId
string<uuid>
required

UUID of the bridge this row belongs to

createdAt
string
required

Timestamp when the row was created (added to the bridge).

updatedAt
string
required
status
enum<string>
required

Current processing status of the row

Available options:
NotProcessed,
Queued,
Processing,
Processed,
Failed,
Skipped
columns
object
required
name
string | null

Optional name or title of the row

buyerId
string<uuid> | null

UUID of the buyer associated with this row, if any

organizerId
string<uuid> | null

UUID of the conference organizer associated with this row, if any

entity
BridgeRowEntityRef · object | null

Reference to the underlying entity (id + type) this row represents, when available.